/* $Id: weaponmine.hpp,v 1.7 2005/06/28 13:55:25 chfreund Exp $ */

#ifndef _WEAPONMINE_HPP_
#define _WEAPONMINE_HPP_

#include "weapon.hpp"
#include "mine.hpp"
#include "audio.hpp"

class WeaponMine : public Weapon {
	public:
		WeaponMine() {
			m_ID          = WEAPON_HOMING_MISSILE;
			m_maximumAmmo =   1;
			m_reloadTime  =   1;
			m_chargeTime  = 200;
			rechargeNow();
			m_shotSample = NULL; //Audio::getInstance()->loadSound( "sound/weapons/mine/drop_pin.wav" );
			Mine::m_explodeSample = Audio::getInstance()->loadSound( "sound/effects/explosion1.wav" );
			Mine::m_bounceSample  = Audio::getInstance()->loadSound( "sound/weapons/grenade/bounce.wav" );
			Mine::m_triggerSample = Audio::getInstance()->loadSound( "sound/weapons/mine/trigger.wav" );
			Mine::m_damageSample  = Audio::getInstance()->loadSound( "sound/effects/ricochet.wav" );
		}

		virtual bool reallyShoot( World* world, Avatar* avatar,
		                          const StationaryGun* gun = NULL ) const ;
};

#endif // _WEAPONMINE_HPP_
