/* $Id: weaponshotgun.hpp,v 1.9 2005/06/28 13:55:26 chfreund Exp $ */

#ifndef _WEAPONSHOTGUN_HPP_
#define _WEAPONSHOTGUN_HPP_

#include "weapon.hpp"
#include "audio.hpp"

class WeaponShotgun : public Weapon {
	public:
		WeaponShotgun() {
			m_ID          = WEAPON_SHOTGUN;
			m_maximumAmmo =  2;
			m_reloadTime  = 15;
			m_chargeTime  = 50;
			rechargeNow();
			m_shotSample = Audio::getInstance()->loadSound( "sound/weapons/shotgun/shotgun.wav" );
		}

		virtual bool reallyShoot( World* world, Avatar* avatar,
		                          const StationaryGun* gun = NULL ) const;
};

#endif // _WEAPONSHOTGUN_HPP_
